;16-bit increment and decrement
;https://www.nesdev.org/wiki/Synthetic_instructions

;Incrementing/decrementing a 16-bit value involves first adjusting the low byte, then adjusting the high byte if necessary. Increment is simpler, since the high byte is adjusted when the low byte wraps around to zero; for decrement, the high byte is adjusted when the low byte wraps around to $FF.

        ; 16-bit increment Word
        inc Word
        bne noinc
        inc Word+1
noinc:

        ; 16-bit decrement Word
        lda Word
        bne nodec
        dec Word+1
nodec:  dec Word

;16-bit increment shows even more advantage when used to control a loop, because the 16-bit increment conveniently leaves the zero flag set at the end only if the entire 16-bit value is zero.